Package ru.bitel.bgbilling.modules.wm.common.bean

# Class Transaction

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.bgbilling.common.bean.BGAbstractTransaction
ru.bitel.bgbilling.modules.wm.common.bean.Transaction

All Implemented Interfaces:
  `Serializable`, `Idable`

public class Transaction extends BGAbstractTransaction

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Transaction.Builder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Transaction()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Transaction.Builder`
  `builder()`
  `String`
  `getPayerPurse()`
  `String`
  `getPayerWM()`
  `String`
  `getReceiverPurse()`
  `long`
  `getSysInvsNumber()`
  `long`
  `getSysTransNumber()`
  `void`
  `setPayerPurse(String payerPurse)`
  `void`
  `setPayerWM(String payerWM)`
  `void`
  `setReceiverPurse(String receiverPurse)`
  `void`
  `setSysInvsNumber(long sysInvsNumber)`
  `void`
  `setSysTransNumber(long sysTransNumber)`

  ### Methods inherited from class ru.bitel.bgbilling.common.bean.BGAbstractTransaction

  `getCardholderName, getContractComment, getContractId, getContractTitle, getCreateDate, getPan, getParameter, getParameters, getPaymentId, getStatus, getSum, getTransactionDate, getTransactionId, getTransactionType, isAutopayment, setAutopayment, setContractComment, setContractId, setContractTitle, setCreateDate, setParameters, setPaymentId, setStatus, setSum, setTransactionDate, setTransactionId, setTransactionType, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap, setId`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Transaction

    public Transaction()

- ## Method Details

  - ### getReceiverPurse

    public String getReceiverPurse()

  - ### setReceiverPurse

    public void setReceiverPurse(String receiverPurse)

  - ### getPayerPurse

    public String getPayerPurse()

  - ### setPayerPurse

    public void setPayerPurse(String payerPurse)

  - ### getPayerWM

    public String getPayerWM()

  - ### setPayerWM

    public void setPayerWM(String payerWM)

  - ### getSysInvsNumber

    public long getSysInvsNumber()

  - ### setSysInvsNumber

    public void setSysInvsNumber(long sysInvsNumber)

  - ### getSysTransNumber

    public long getSysTransNumber()

  - ### setSysTransNumber

    public void setSysTransNumber(long sysTransNumber)

  - ### builder

    public static Transaction.Builder builder()